'Mandelbrot Tracer
'(c)1999 Romain GUY
'Windows Scripting

'www.chez.com/powerteam
'powerteam@chez.com

Function Mandel(cx, cy, Maxiter)
    Dim x2, y2, temp, X, Y
    
    X = 0: Y = 0: x2 = 0: y2 = 0: iter = 0
    
    While (iter < Maxiter) And (Abs(x2) + Abs(y2)) < 1000
        temp = x2 - y2 + cx
        Y = 2 * X * Y + cy
        X = temp
        x2 = X * X
        y2 = Y * Y
        iter = iter + 1
    Wend
    
    Mandel = iter
End Function

Dim iy, ix, X, Y, nx, ny, Maxiter, fs, file, env

Set fs = CreateObject("Scripting.FileSystemObject")
Set env = WScript.CreateObject("WScript.shell")

Maxiter = 256
xmin = -1.5
xmax = 0.5
ymin = -1
ymax = 1

nx = InputBox("Nombre d'units en X:", "Rsolution", "52")
If nx = "" Then nx = 52
ny = (nx * 3) / 4
Set file = fs.CreateTextFile("Mandelbrot.txt", 1)

For iy = 1 To ny - 1
    Y = (ymin + iy * (ymax - ymin) / (ny - 1))
    For ix = 1 To nx - 1
        X = (xmin + ix * (xmax - xmin) / (nx - 1))
        If Mandel(X, Y, Maxiter) = Maxiter Then
	    file.Write(Chr(157))
	Else
	    file.Write(Chr(32))
	End If
    Next
    file.Write(Chr(13) + Chr(10))
Next

file.Close
Msgbox("Fractale trace dans Mandelbrot.txt")
env.Run "notepad.exe " & "Mandelbrot.txt", 3, 1
